import java.util.Vector ;

public class Person {
    Person father ;
    Person mother ;
    Vector children ;
    private String name ;

    public Person(String name) {
        this.name=name ;
        mother=father=null ;
        children=new Vector() ;
    }

    /**
    *   Link together all members of a family.
    *
    *   @param fa the father
    *   @param mo the mother
    *   @param chs the children
    */
    public static void linkFamily(Person fa,Person mo,Person[] chs) {
        int len=chs.length ;
        for(int i=0 ; i<len ; i++) {
            Person ch=chs[i] ;
            fa.children.addElement(ch) ;
            mo.children.addElement(ch) ;
            ch.father=fa ;
            ch.mother=mo ;
        }
    }

/// getter methods ///////////////////////////////////

    public String toString() { return name ;}
    public String getName() { return name ;}
    public Person getFather() { return father ;}
    public Person getMother() { return mother ;}
    public Person getChildAt(int i) { return (Person)children.elementAt(i) ;}
    public int getChildCount() { return children.size() ;}
    public int getIndexOfChild(Person ch) { return children.indexOf(ch) ;}

}
